import javax.swing.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.event.*;
import java.awt.*;

public class TimePace implements ActionListener{
	public TimePace(PlantPanel tcp){
		this.tcp=tcp;
		delay=50;
		timer=new Timer(delay, this);
		gui= new Box(BoxLayout.X_AXIS);
		SpinnerNumberModel levelSpinner= new SpinnerNumberModel(delay, 0, 10000, 2);
		levelSpinner.addChangeListener(new ChangeListener(){
			public void stateChanged(ChangeEvent e){
				SpinnerNumberModel sn=(SpinnerNumberModel)e.getSource();
				delay=sn.getNumber().intValue();
				timer.setDelay(delay);
			}
		});
		
		
		menu = new JPanel();
		menu.setBounds(0,0,200,20);
		menu.setLayout(new GridLayout(1,2));
		
		JLabel label= new JLabel(" Paso de tiempo:");
		menu.add(label);
		JSpinner spinner = new JSpinner(levelSpinner);
		label.setLabelFor(spinner);
		menu.add(spinner);
	}
	public void actionPerformed(ActionEvent e){
		tcp.simulationTick();
		
		//System.out.println("salida");
	}
	public Box getGUI() {
		return gui;
	}
	public void start(){
		timer.start();
	}
	
	public JPanel getPanel(){
	    return menu;
	}
	private int delay;
	private Timer timer;
	private Box gui;
	private JPanel menu;
	private PlantPanel tcp;
}
